Description

For my own Redmine instance | modified the interface regarding the "entry-links" for new issues and new timelogs a long time ago. |
used several other patches and sources to come to the final result. | always wanted to create a configurable patch for others who
might be interested, but never came to it. Now, here it finally is...

The urge for the modifications came from the fact that | needed to have cross-project, direct-access to the new-links for both the
issues and the timelogs (the only two things which a user enters frequently).

| added/modified the following things:

e Added setting main_new_links_enabled which enables the changes from this patch (defaults to O/false) and at the same time
removes the default "New issue"-tab on the project-menu

e Added new-issue link right above the main issuelist (view: issues/index) which get rendered if_authorized

¢ Added JavaScripted top-menu items for new issue and new timelog (only rendered when the visitor is a logged-in user && the
current logged-in user has at least one membership (role)) which opens dynamic-menu's (based on the project-selector)
showing the projects for which the current logged-in user has a role.

As mentioned earlier | based my modifications on some other patches and contributions:

e Patch #1022 (Patch for #1003 [Allow "New Issue" from anywhere]) by Rocco Stanzione; This was my starting point for this
patch. I've refactored the CSS to better fit the current trunk's default theme. I've also modified the conditions under which the
links are displayed.

e Patch #249 (Jump-in for 'add time') by Michael Pirogov; This patch made me realize | wanted the new timelog-liks integrated
just as the new issue-links. This also gave me the insights about how this could be merged with patch #1022 to implement my
needs for the new timelog-links.

¢ Revision 905 of Typo3's Redmine-fork by Sebastian Kurfirst; This changeset gave me the idea and basic-code for adding the
new issue-link also in the main issuelist and for removing the new-issue tab.

Like stated before I've added a setting for the modifications I've made. This means that with the patch applied (but no configuration)
the default behaviour/Ul isn't modified. The modifications specifically needs to be configured to be used.

This patch is not specifically shared/posted to get integrated into the Redmine core since | think it is more a personal request to have
these changes integrated rather then that it is a community one.

Hope someone can appreciate the patch. Just to note: I've kept the code as seperated as possible (ie duplicated lots of it for both the
JavaScripted menu's, instead for combining it at a higher-level). This will allow more easy extraction of parts of this patch.

Related issues:

Related to Redmine - Patch #1022: Patch for #1003 Closed 2008-04-08
Related to Redmine - Patch #249: Jump-in for 'add time' Closed

Related to Redmine - Feature #1003: Allow "New Issue" from anywhere Closed 2008-04-05
History

#1 - 2009-01-10 15:38 - Jean-Philippe Lang

- File redmine_global_new_links.zip added

This patch is not specifically shared/posted to get integrated into the Redmine core since | think it is more a personal request to have these
changes integrated rather then that it is a community one.

2025-08-23 1/2



https://www.redmine.org/issues/1022
https://www.redmine.org/issues/1003
https://www.redmine.org/issues/249
https://www.redmine.org/issues/1022
http://forge.typo3.org/repositories/diff/team-forge?rev=905

| agree. Having a user-customizable toolbar one day would be nice.
For now, I've quickly turned your patch into a plugin so that people can try it without patching the app. Just unzip in vendor/plugins.

Note that permissions should be checked when rendering the project list in the menu items: some member may not be able to log time or add an
issue, thus they would get a 403 when clicking on the project in the drop-down menu. | did not change this behaviour in the plugin.

#2 - 2009-03-29 22:48 - Mischa The Evil
Jean-Philippe Lang wrote:
This patch is not specifically shared/posted to get integrated into the Redmine core since | think it is more a personal request to have these

changes integrated rather then that it is a community one.

| agree. Having a user-customizable toolbar one day would be nice.
For now, I've quickly turned your patch into a plugin so that people can try it without patching the app. Just unzip in vendor/plugins.

Great! This seems pretty educational for me seeing this patch being "pluginized”... Thanks for that... ;)
Jean-Philippe Lang wrote:
Note that permissions should be checked when rendering the project list in the menu items: some member may not be able to log time or add an

issue, thus they would get a 403 when clicking on the project in the drop-down menu. | did not change this behaviour in the plugin.

Indeed. Will see if | can update your "pluginisation” of the patch to check the correct permissions. If completed I'll post the plugin to the plugin list...

#3 - 2009-03-29 22:48 - Mischa The Evil
- Status changed from New to 7

- Assignee set to Mischa The Evil

#4 - 2009-11-02 17:51-D W

| apologize for being a choosy beggar, but just wondered if there's any plan to update this plug-in for the new dev trunk? Or to incorporate it into the
core later? | for one could really use this to improve ease-of-use for casual (client) users to quickly be able to get to the New Issue page, but it breaks
my current 0.8.5-Dev install.

| put my own "New Ticket" button on the Project home page sidebar but ran into trouble doing that on the Issues page because that page can also be
used to show all issues for a user (not just one project) so my button's relative URL to the issues\new page doesn't work in that case.

Thanks!

#5 - 2013-01-13 21:05 - Jean-Philippe Lang

- Status changed from 7 to New

#6 - 2016-08-23 17:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

What is status of this issue?
All issues on description are closed.

Files
new_issue-timelog_design-r2245.diff 9.19 KB 2009-01-07 Mischa The Evil
redmine_global_new_links.zip 2.4 KB 2009-01-10 Jean-Philippe Lang

2025-08-23 22


https://www.redmine.org/projects/redmine/wiki/Plugins#Plugin-list
http://www.tcpdf.org

